<?php
require "header.php";
$admin = true;
require "authenticatie.php";

if (isset($_POST["categorie"])) {
	$categorie = $_POST["categorie"]; // haal eventueel geposte variabele op
}

if ($_POST["knop"] && $categorie) {

	$sql = "INSERT INTO Categorie (Naam) VALUES ('$categorie')";
	if (!mysql_query($sql)) { // voer SQL code uit
	echo "Helaas, de categorie $categorie kon niet worden toegevoegd aan de database. Neem contact op met de webmaster!"; // wordt de query goed uitgevoerd?
	} else {
		echo "De categorie <b>$categorie</b> is toegevoegd.";
	}

} else {

?>
<p><div class="big">Categorie toevoegen</div><br>
<form method="post" action="<?php echo $_SERVER["PHP_SELF"] ?>">
Welke categorie wilt u toevoegen?<br>
Categorie: <input type="text" name="categorie"><br>
<input type="submit" name="knop" value="toevoegen">
</form>

<?php 

  }

require "footer.php";

?>
